using System;
using System.Collections.Generic;
using System.Text;
using SystemFunctionLib.Apis;

namespace SystemFunctionLib.Personalization
{
    /// <summary>
    /// Indicates the font smoothing orientation.
    /// </summary>
    public enum FontSmoothingOrientation
    {
        /// <summary>
        /// Red-green-blue (common)
        /// </summary>
        Rgb = (int)FONTSMOOTHINGORIENTATION.Rgb,

        /// <summary>
        /// Blue-green-red (rarely)
        /// </summary>
        Bgr = (int)FONTSMOOTHINGORIENTATION.Bgr,
    }
}
