using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SystemFunctionDemo
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();

            this.Font = SystemFonts.DialogFont;
        }

        private void lnkAudioMixer_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            (new AudioMixerForm()).Show();
        }

        private void lnkHotKeys_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            (new HotKeyForm()).Show();
        }

        private void lnkDisplay_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            (new DisplayForm()).Show();
        }

        private void lnkSysEnv_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            (new SystemEnvForm()).Show();
        }
    }
}