using System;
using System.Collections.Generic;
using System.Text;

namespace SystemFunctionLib.Personalization
{
    /// <summary>
    /// Specifies the method used in font smoothing.
    /// </summary>
    public enum FontSmoothingType
    {
        None = 0,
        Standard,
        /// <summary>
        /// ClearType is a software technology that improves the readability of text on liquid crystal 
        /// display (LCD) monitors.
        /// </summary>
        /// <remarks>
        /// This is not supported by Windows 2000.
        /// </remarks>
        ClearType,
    }
}
